FROM ubuntu:focal
RUN apt-get update && apt-get -y install curl gnupg2 git
RUN curl https://pkg.jenkins.io/debian-stable/jenkins.io.key | apt-key add - \
    && echo "deb https://pkg.jenkins.io/debian-stable binary/" > /etc/apt/sources.list.d/jenkins.list \
    && apt-get update \
    && apt-get -y install openjdk-11-jdk jenkins
CMD ["/etc/init.d/jenkins start"]
EXPOSE 8080

# docker build --rm --tag local/jenkins .
# docker run -idt --name=jenkins -p 8080:8080 local/jenkins

